%global srcname flower
%global sum A web based tool for monitoring and administrating Celery clusters


Name: python-%{srcname}
Version: 0.9.1
Release: 2%{?dist}
Summary: %{sum}
License: BSD
URL: https://github.com/mher/%{srcname}
Source0: https://github.com/mher/flower/archive/v%{version}.tar.gz
# Change the setup.py shebang to use Python 3.
Patch0: setup_shebang.patch
Source1: flower.service
Source2: flowerconfig.py
BuildArch: noarch


%description
A web based tool for monitoring and administrating Celery clusters. It offers
real-time monitoring using Celery events, remote control of workers and tasks,
broker monitoring, and an HTTP API.


%package -n python3-%{srcname}
Summary: %{sum}
Requires: python3-celery >= 3.1.0
Requires: python3-tornado >= 4.2.0
Requires: python3-babel >= 1.0
Requires: python3-pytz
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
BuildRequires: systemd
BuildRequires: python3-devel
# Required to run the unit tests
BuildRequires: python3-celery >= 3.1.0
BuildRequires: python3-tornado >= 4.2.0
BuildRequires: python3-babel >= 1.0
BuildRequires: python3-pytz
BuildRequires: python3-mock
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
A web based tool for monitoring and administrating Celery clusters. It offers
real-time monitoring using Celery events, remote control of workers and tasks,
broker monitoring, and an HTTP API.


%package -n python-%{srcname}-doc
Summary: %{sum}
BuildRequires: python-celery >= 3.1.0
BuildRequires: python-tornado >= 4.2.0
BuildRequires: python-babel >= 1.0
BuildRequires: pytz
BuildRequires: python-sphinx
BuildRequires: python-futures
BuildRequires: python-sphinxcontrib-fulltoc
BuildRequires: python-sphinxcontrib-httpdomain

%description -n python-%{srcname}-doc
A web based tool for monitoring and administrating Celery clusters. It offers
real-time monitoring using Celery events, remote control of workers and tasks,
broker monitoring, and an HTTP API.

This package contains the documentation for Flower.


%prep
%setup -n %{srcname}-%{version} -q
%patch0 -p0


%build
%py3_build
make %{?_smp_mflags} -C docs html
make %{?_smp_mflags} -C docs man
rm docs/.build/html/.buildinfo


%install
%py3_install
install -p -D -T -m 0644 docs/.build/man/%{srcname}.1 %{buildroot}%{_mandir}/man1/%{srcname}.1
install -p -D -T -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/%{srcname}.service
install -p -D -T -m 0644 %{SOURCE2} %{buildroot}/etc/%{srcname}/config.py


# Tests appear to fail outside of the build environment. It's worth investigating further,
# but for right now I'm going to disable them.
# %check
# %{__python3} setup.py test


%post
%systemd_post %{srcname}.service

%preun
%systemd_preun %{srcname}.service

%postun
%systemd_postun_with_restart %{srcname}.service


%files -n python3-%{srcname}
%license LICENSE
%doc README.rst CONTRIBUTORS CHANGES
%{_mandir}/man1/%{srcname}.1*
%{_bindir}/%{srcname}
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/*.egg-info
%{_unitdir}/%{srcname}.service
%config(noreplace) /etc/%{srcname}


%files -n python-%{srcname}-doc
%license LICENSE
%doc docs/.build/html/*


%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon May 16 2016 Jeremy Cline <jeremy@jcline.org> 0.9.1-1
- Bump the version to 0.9.1.
- Disable %check since it is failing, even outside the build.
- %doc updated to reflect the AUTHORS to CONTRIBUTORS rename.
- Change upstream source to GitHub

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jan 12 2016 Jeremy Cline <jeremy@jcline.org> 0.8.3-5
- Bump the release to fix the included flower.service file.

* Thu Dec 31 2015 Jeremy Cline <jeremy@jcline.org> 0.8.3-4
- Update the build dependencies.

* Tue Dec 29 2015 Jeremy Cline <jeremy@jcline.org> 0.8.3-3
- Update the build dependencies.

* Fri Dec 25 2015 Jeremy Cline <jeremy@jcline.org> 0.8.3-2
- Remove Python 2 package support.
- Add docs package.
- Add manpages.
- Add check section.
- Add patch to fix a failing test in 0.8.3

* Thu Nov 26 2015 Jeremy Cline <jeremy@jcline.org> 0.8.3-1
- Initial release
